> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flinks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /AuthSecret

> Use the /AuthSecret endpoint if you are a client of Flinks and want to grant access for a partner to retrieve data that is processed by Flinks. This endpoint generates a unique authorization token that your partner can use to securely access Flinks APIs.

Use the **/AuthSecret** endpoint if you are a client of Flinks and want to grant access for a partner to retrieve data that is processed by Flinks. This endpoint generates a unique authorization token that your partner can use to securely access Flinks APIs.

Each partner only needs one unique authorization token for the duration of the time they are accessing data through Flinks. Call this endpoint once for each partner you are providing access to.

In addition to `/AuthSecret`, this endpoint also returns a `PermissionId` that revokes access to Flinks APIs by disabling the unique authorization token. Save the `PermissionId` on your side. For more information about revoking access to Flinks APIs, see the [/AuthSecret/Disable](./auth-secret-disable) endpoint.


## OpenAPI

````yaml GET /v3/{customerId}/partnerdata/authsecret/{nameofpartner}
openapi: 3.0.3
info:
  title: Flinks API
  description: >
    Flinks API provides financial data connectivity, enrichment, and payment
    solutions.


    ## Authentication

    Endpoints require authentication using `flinks-auth-key` header (Bearer
    token).


    For more information, visit: https://docs.flinks.com
  version: 3.0.0
  contact:
    name: Flinks Support
    url: https://www.flinks.com/contact/sales
  termsOfService: https://www.flinks.com
servers:
  - url: https://{instance}-api.private.fin.ag
    description: Flinks API Environment
    variables:
      instance:
        default: toolbox
        description: The environment instance (e.g., toolbox, sandbox, production)
security: []
tags:
  - name: Authorization
    description: Endpoints for generating authorization tokens and authenticating requests
  - name: Enrich - Consumer Attributes
    description: Consumer financial attribute analysis and credit risk assessment
paths:
  /v3/{customerId}/partnerdata/authsecret/{nameofpartner}:
    get:
      tags:
        - Authorization
      summary: Generate Auth Secret
      description: >-
        Use the /AuthSecret endpoint if you are a client of Flinks and want to
        grant access for a partner to retrieve data that is processed by Flinks.
        This endpoint generates a unique authorization token that your partner
        can use to securely access Flinks APIs.
      operationId: generateAuthSecret
      parameters:
        - name: customerId
          in: path
          required: true
          description: >-
            Key that grants access to the environment specified in the instance
            field. By default, the value is set to the Sandbox environment key.
          schema:
            type: string
            default: 43387ca6-0391-4c82-857d-70d95f087ecb
        - name: nameofpartner
          in: path
          required: true
          description: >-
            Name that you want to assign to this partner. If this field is left
            empty, the default value is `PartnerTest`.
          schema:
            type: string
            default: PartnerTest
        - name: Authorization
          in: header
          required: false
          description: >-
            Contains the Bearer Token (the API secret key that Flinks provides
            you with).
          schema:
            type: string
            default: Bearer {API Secret}
      responses:
        '200':
          description: Response Body
          content:
            application/json:
              schema:
                type: object
                properties:
                  RequestId:
                    type: string
                    description: Unique identifier for this request.
                  PermissionId:
                    type: string
                    description: >-
                      Unique identifier used to revoke access to Flinks APIs by
                      disabling the authorization token. Save this value.
                  AuthSecret:
                    type: string
                    description: >-
                      The unique authorization token that your partner can use
                      to securely access Flinks APIs.
                  Message:
                    type: string
                    description: Success message confirming the token was generated.
              example:
                RequestId: 403cf9b2-9fda-441e-ac8b-b8346eb319ff
                PermissionId: 058cb857-777e-4e68-96a8-33f7f2e09465
                AuthSecret: e17778dc-a592-409e-a752-ee276b106f4c
                Message: The partner authorization secret was generated successfully.
        '400':
          description: Response Body
          content:
            application/json:
              schema:
                type: object
                properties:
                  HttpStatusCode:
                    type: integer
                    description: HTTP status code of the response.
                  ValidationDetails:
                    type: object
                    description: Validation error details.
                    properties:
                      externalPartnerName:
                        type: array
                        items:
                          type: string
                        description: Validation error messages for the partner name.
                  FlinksCode:
                    type: string
                    description: Flinks-specific error code (e.g., INVALID_REQUEST).
              example:
                HttpStatusCode: 400
                ValidationDetails:
                  externalPartnerName:
                    - >-
                      The externalPartnerName needs to contain at least 3
                      characters and no numbers.
                FlinksCode: INVALID_REQUEST
      security: []

````